-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Lite Edition"

-- DATE "10/25/2019 18:36:44"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	part1 IS
    PORT (
	KEY : IN std_logic_vector(1 DOWNTO 0);
	SW : IN std_logic_vector(7 DOWNTO 0);
	LEDR : OUT std_logic_vector(9 DOWNTO 0);
	HEX0 : OUT std_logic_vector(0 TO 6);
	HEX1 : OUT std_logic_vector(0 TO 6);
	HEX2 : OUT std_logic_vector(0 TO 6);
	HEX3 : OUT std_logic_vector(0 TO 6)
	);
END part1;

-- Design Ports Information
-- LEDR[0]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[1]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[2]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[3]	=>  Location: PIN_V18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[4]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[5]	=>  Location: PIN_W19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[6]	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[7]	=>  Location: PIN_W20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[8]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[9]	=>  Location: PIN_Y21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[6]	=>  Location: PIN_AH28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[5]	=>  Location: PIN_AG28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[4]	=>  Location: PIN_AF28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[3]	=>  Location: PIN_AG27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[2]	=>  Location: PIN_AE28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[1]	=>  Location: PIN_AE27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX0[0]	=>  Location: PIN_AE26,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[6]	=>  Location: PIN_AD27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[5]	=>  Location: PIN_AF30,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[4]	=>  Location: PIN_AF29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[3]	=>  Location: PIN_AG30,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[2]	=>  Location: PIN_AH30,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[1]	=>  Location: PIN_AH29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX1[0]	=>  Location: PIN_AJ29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[6]	=>  Location: PIN_AC30,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[5]	=>  Location: PIN_AC29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[4]	=>  Location: PIN_AD30,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[3]	=>  Location: PIN_AC28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[2]	=>  Location: PIN_AD29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[1]	=>  Location: PIN_AE29,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX2[0]	=>  Location: PIN_AB23,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[6]	=>  Location: PIN_AB22,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[5]	=>  Location: PIN_AB25,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[4]	=>  Location: PIN_AB28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[3]	=>  Location: PIN_AC25,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[2]	=>  Location: PIN_AD25,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[1]	=>  Location: PIN_AC27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- HEX3[0]	=>  Location: PIN_AD26,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[1]	=>  Location: PIN_AA15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_AB12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[1]	=>  Location: PIN_AC12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[2]	=>  Location: PIN_AF9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[3]	=>  Location: PIN_AF10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[4]	=>  Location: PIN_AD11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[5]	=>  Location: PIN_AD12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[6]	=>  Location: PIN_AE11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[7]	=>  Location: PIN_AC9,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF part1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_KEY : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_SW : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_LEDR : std_logic_vector(9 DOWNTO 0);
SIGNAL ww_HEX0 : std_logic_vector(0 TO 6);
SIGNAL ww_HEX1 : std_logic_vector(0 TO 6);
SIGNAL ww_HEX2 : std_logic_vector(0 TO 6);
SIGNAL ww_HEX3 : std_logic_vector(0 TO 6);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \KEY[1]~input_o\ : std_logic;
SIGNAL \KEY[1]~inputCLKENA0_outclk\ : std_logic;
SIGNAL \SW[0]~input_o\ : std_logic;
SIGNAL \KEY[0]~input_o\ : std_logic;
SIGNAL \Add0~1_sumout\ : std_logic;
SIGNAL \SW[1]~input_o\ : std_logic;
SIGNAL \Add0~2\ : std_logic;
SIGNAL \Add0~5_sumout\ : std_logic;
SIGNAL \SW[2]~input_o\ : std_logic;
SIGNAL \Add0~6\ : std_logic;
SIGNAL \Add0~9_sumout\ : std_logic;
SIGNAL \Sreg|Q[2]~DUPLICATE_q\ : std_logic;
SIGNAL \SW[3]~input_o\ : std_logic;
SIGNAL \Add0~10\ : std_logic;
SIGNAL \Add0~13_sumout\ : std_logic;
SIGNAL \SW[4]~input_o\ : std_logic;
SIGNAL \Add0~14\ : std_logic;
SIGNAL \Add0~17_sumout\ : std_logic;
SIGNAL \SW[5]~input_o\ : std_logic;
SIGNAL \Add0~18\ : std_logic;
SIGNAL \Add0~21_sumout\ : std_logic;
SIGNAL \SW[6]~input_o\ : std_logic;
SIGNAL \Add0~22\ : std_logic;
SIGNAL \Add0~25_sumout\ : std_logic;
SIGNAL \SW[7]~input_o\ : std_logic;
SIGNAL \Add0~26\ : std_logic;
SIGNAL \Add0~29_sumout\ : std_logic;
SIGNAL \Add0~30\ : std_logic;
SIGNAL \Add0~33_sumout\ : std_logic;
SIGNAL \overflow[0]~0_combout\ : std_logic;
SIGNAL \H0|Mux6~0_combout\ : std_logic;
SIGNAL \H0|Mux5~0_combout\ : std_logic;
SIGNAL \H0|Mux4~0_combout\ : std_logic;
SIGNAL \H0|Mux3~0_combout\ : std_logic;
SIGNAL \H0|Mux2~0_combout\ : std_logic;
SIGNAL \H0|Mux1~0_combout\ : std_logic;
SIGNAL \H0|Mux0~0_combout\ : std_logic;
SIGNAL \H1|Mux6~0_combout\ : std_logic;
SIGNAL \H1|Mux5~0_combout\ : std_logic;
SIGNAL \H1|Mux4~0_combout\ : std_logic;
SIGNAL \H1|Mux3~0_combout\ : std_logic;
SIGNAL \H1|Mux2~0_combout\ : std_logic;
SIGNAL \H1|Mux1~0_combout\ : std_logic;
SIGNAL \H1|Mux0~0_combout\ : std_logic;
SIGNAL \H2|Mux6~0_combout\ : std_logic;
SIGNAL \H2|Mux5~0_combout\ : std_logic;
SIGNAL \H2|Mux4~0_combout\ : std_logic;
SIGNAL \H2|Mux3~0_combout\ : std_logic;
SIGNAL \H2|Mux2~0_combout\ : std_logic;
SIGNAL \H2|Mux1~0_combout\ : std_logic;
SIGNAL \H2|Mux0~0_combout\ : std_logic;
SIGNAL \H3|Mux6~0_combout\ : std_logic;
SIGNAL \H3|Mux5~0_combout\ : std_logic;
SIGNAL \H3|Mux4~0_combout\ : std_logic;
SIGNAL \H3|Mux3~0_combout\ : std_logic;
SIGNAL \H3|Mux2~0_combout\ : std_logic;
SIGNAL \H3|Mux1~0_combout\ : std_logic;
SIGNAL \H3|Mux0~0_combout\ : std_logic;
SIGNAL \Sreg|Q\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Creg|Q\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \Oreg|Q\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \Areg|Q\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \H3|ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \Areg|ALT_INV_Q\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \H2|ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \H1|ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \H0|ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \Sreg|ALT_INV_Q\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \ALT_INV_Add0~29_sumout\ : std_logic;

BEGIN

ww_KEY <= KEY;
ww_SW <= SW;
LEDR <= ww_LEDR;
HEX0 <= ww_HEX0;
HEX1 <= ww_HEX1;
HEX2 <= ww_HEX2;
HEX3 <= ww_HEX3;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\H3|ALT_INV_Mux6~0_combout\ <= NOT \H3|Mux6~0_combout\;
\Areg|ALT_INV_Q\(7) <= NOT \Areg|Q\(7);
\Areg|ALT_INV_Q\(6) <= NOT \Areg|Q\(6);
\Areg|ALT_INV_Q\(5) <= NOT \Areg|Q\(5);
\Areg|ALT_INV_Q\(4) <= NOT \Areg|Q\(4);
\H2|ALT_INV_Mux6~0_combout\ <= NOT \H2|Mux6~0_combout\;
\Areg|ALT_INV_Q\(3) <= NOT \Areg|Q\(3);
\Areg|ALT_INV_Q\(2) <= NOT \Areg|Q\(2);
\Areg|ALT_INV_Q\(1) <= NOT \Areg|Q\(1);
\Areg|ALT_INV_Q\(0) <= NOT \Areg|Q\(0);
\H1|ALT_INV_Mux6~0_combout\ <= NOT \H1|Mux6~0_combout\;
\H0|ALT_INV_Mux6~0_combout\ <= NOT \H0|Mux6~0_combout\;
\Sreg|ALT_INV_Q\(7) <= NOT \Sreg|Q\(7);
\Sreg|ALT_INV_Q\(6) <= NOT \Sreg|Q\(6);
\Sreg|ALT_INV_Q\(5) <= NOT \Sreg|Q\(5);
\Sreg|ALT_INV_Q\(4) <= NOT \Sreg|Q\(4);
\Sreg|ALT_INV_Q\(3) <= NOT \Sreg|Q\(3);
\Sreg|ALT_INV_Q\(2) <= NOT \Sreg|Q\(2);
\Sreg|ALT_INV_Q\(1) <= NOT \Sreg|Q\(1);
\Sreg|ALT_INV_Q\(0) <= NOT \Sreg|Q\(0);
\ALT_INV_Add0~29_sumout\ <= NOT \Add0~29_sumout\;

-- Location: IOOBUF_X52_Y0_N2
\LEDR[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(0),
	devoe => ww_devoe,
	o => ww_LEDR(0));

-- Location: IOOBUF_X52_Y0_N19
\LEDR[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(1),
	devoe => ww_devoe,
	o => ww_LEDR(1));

-- Location: IOOBUF_X60_Y0_N2
\LEDR[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q[2]~DUPLICATE_q\,
	devoe => ww_devoe,
	o => ww_LEDR(2));

-- Location: IOOBUF_X80_Y0_N2
\LEDR[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(3),
	devoe => ww_devoe,
	o => ww_LEDR(3));

-- Location: IOOBUF_X60_Y0_N19
\LEDR[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(4),
	devoe => ww_devoe,
	o => ww_LEDR(4));

-- Location: IOOBUF_X80_Y0_N19
\LEDR[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(5),
	devoe => ww_devoe,
	o => ww_LEDR(5));

-- Location: IOOBUF_X84_Y0_N2
\LEDR[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(6),
	devoe => ww_devoe,
	o => ww_LEDR(6));

-- Location: IOOBUF_X89_Y6_N5
\LEDR[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Sreg|Q\(7),
	devoe => ww_devoe,
	o => ww_LEDR(7));

-- Location: IOOBUF_X89_Y8_N5
\LEDR[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Creg|Q\(0),
	devoe => ww_devoe,
	o => ww_LEDR(8));

-- Location: IOOBUF_X89_Y6_N22
\LEDR[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Oreg|Q\(0),
	devoe => ww_devoe,
	o => ww_LEDR(9));

-- Location: IOOBUF_X89_Y4_N96
\HEX0[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(6));

-- Location: IOOBUF_X89_Y13_N39
\HEX0[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(5));

-- Location: IOOBUF_X89_Y13_N56
\HEX0[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(4));

-- Location: IOOBUF_X89_Y4_N79
\HEX0[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(3));

-- Location: IOOBUF_X89_Y11_N96
\HEX0[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(2));

-- Location: IOOBUF_X89_Y11_N79
\HEX0[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(1));

-- Location: IOOBUF_X89_Y8_N39
\HEX0[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX0(0));

-- Location: IOOBUF_X89_Y8_N56
\HEX1[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(6));

-- Location: IOOBUF_X89_Y15_N56
\HEX1[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(5));

-- Location: IOOBUF_X89_Y15_N39
\HEX1[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(4));

-- Location: IOOBUF_X89_Y16_N56
\HEX1[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(3));

-- Location: IOOBUF_X89_Y16_N39
\HEX1[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(2));

-- Location: IOOBUF_X89_Y6_N56
\HEX1[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(1));

-- Location: IOOBUF_X89_Y6_N39
\HEX1[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H1|Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX1(0));

-- Location: IOOBUF_X89_Y25_N56
\HEX2[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(6));

-- Location: IOOBUF_X89_Y20_N96
\HEX2[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(5));

-- Location: IOOBUF_X89_Y25_N39
\HEX2[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(4));

-- Location: IOOBUF_X89_Y20_N79
\HEX2[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(3));

-- Location: IOOBUF_X89_Y23_N56
\HEX2[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(2));

-- Location: IOOBUF_X89_Y23_N39
\HEX2[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(1));

-- Location: IOOBUF_X89_Y9_N22
\HEX2[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H2|Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX2(0));

-- Location: IOOBUF_X89_Y9_N5
\HEX3[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(6));

-- Location: IOOBUF_X89_Y11_N62
\HEX3[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(5));

-- Location: IOOBUF_X89_Y21_N39
\HEX3[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(4));

-- Location: IOOBUF_X89_Y4_N62
\HEX3[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(3));

-- Location: IOOBUF_X89_Y4_N45
\HEX3[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(2));

-- Location: IOOBUF_X89_Y16_N22
\HEX3[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(1));

-- Location: IOOBUF_X89_Y16_N5
\HEX3[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H3|Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_HEX3(0));

-- Location: IOIBUF_X36_Y0_N18
\KEY[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(1),
	o => \KEY[1]~input_o\);

-- Location: CLKCTRL_G6
\KEY[1]~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \KEY[1]~input_o\,
	outclk => \KEY[1]~inputCLKENA0_outclk\);

-- Location: IOIBUF_X12_Y0_N18
\SW[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(0),
	o => \SW[0]~input_o\);

-- Location: IOIBUF_X36_Y0_N1
\KEY[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(0),
	o => \KEY[0]~input_o\);

-- Location: FF_X87_Y8_N50
\Areg|Q[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[0]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(0));

-- Location: MLABCELL_X87_Y8_N0
\Add0~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~1_sumout\ = SUM(( \Sreg|Q\(0) ) + ( \Areg|Q\(0) ) + ( !VCC ))
-- \Add0~2\ = CARRY(( \Sreg|Q\(0) ) + ( \Areg|Q\(0) ) + ( !VCC ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Sreg|ALT_INV_Q\(0),
	cin => GND,
	sumout => \Add0~1_sumout\,
	cout => \Add0~2\);

-- Location: FF_X87_Y8_N1
\Sreg|Q[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~1_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(0));

-- Location: IOIBUF_X16_Y0_N1
\SW[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(1),
	o => \SW[1]~input_o\);

-- Location: FF_X87_Y8_N32
\Areg|Q[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[1]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(1));

-- Location: MLABCELL_X87_Y8_N3
\Add0~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~5_sumout\ = SUM(( \Sreg|Q\(1) ) + ( \Areg|Q\(1) ) + ( \Add0~2\ ))
-- \Add0~6\ = CARRY(( \Sreg|Q\(1) ) + ( \Areg|Q\(1) ) + ( \Add0~2\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \Areg|ALT_INV_Q\(1),
	datad => \Sreg|ALT_INV_Q\(1),
	cin => \Add0~2\,
	sumout => \Add0~5_sumout\,
	cout => \Add0~6\);

-- Location: FF_X87_Y8_N4
\Sreg|Q[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~5_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(1));

-- Location: IOIBUF_X8_Y0_N35
\SW[2]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(2),
	o => \SW[2]~input_o\);

-- Location: FF_X87_Y8_N47
\Areg|Q[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[2]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(2));

-- Location: FF_X87_Y8_N7
\Sreg|Q[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~9_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(2));

-- Location: MLABCELL_X87_Y8_N6
\Add0~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~9_sumout\ = SUM(( \Sreg|Q\(2) ) + ( \Areg|Q\(2) ) + ( \Add0~6\ ))
-- \Add0~10\ = CARRY(( \Sreg|Q\(2) ) + ( \Areg|Q\(2) ) + ( \Add0~6\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000110011001100110000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Areg|ALT_INV_Q\(2),
	datad => \Sreg|ALT_INV_Q\(2),
	cin => \Add0~6\,
	sumout => \Add0~9_sumout\,
	cout => \Add0~10\);

-- Location: FF_X87_Y8_N8
\Sreg|Q[2]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~9_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q[2]~DUPLICATE_q\);

-- Location: IOIBUF_X4_Y0_N52
\SW[3]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(3),
	o => \SW[3]~input_o\);

-- Location: FF_X87_Y8_N38
\Areg|Q[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[3]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(3));

-- Location: MLABCELL_X87_Y8_N9
\Add0~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~13_sumout\ = SUM(( \Sreg|Q\(3) ) + ( \Areg|Q\(3) ) + ( \Add0~10\ ))
-- \Add0~14\ = CARRY(( \Sreg|Q\(3) ) + ( \Areg|Q\(3) ) + ( \Add0~10\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000101010101010101000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(3),
	datad => \Sreg|ALT_INV_Q\(3),
	cin => \Add0~10\,
	sumout => \Add0~13_sumout\,
	cout => \Add0~14\);

-- Location: FF_X87_Y8_N10
\Sreg|Q[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~13_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(3));

-- Location: IOIBUF_X2_Y0_N41
\SW[4]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(4),
	o => \SW[4]~input_o\);

-- Location: FF_X87_Y8_N59
\Areg|Q[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[4]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(4));

-- Location: MLABCELL_X87_Y8_N12
\Add0~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~17_sumout\ = SUM(( \Sreg|Q\(4) ) + ( \Areg|Q\(4) ) + ( \Add0~14\ ))
-- \Add0~18\ = CARRY(( \Sreg|Q\(4) ) + ( \Areg|Q\(4) ) + ( \Add0~14\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000110011001100110000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Areg|ALT_INV_Q\(4),
	datad => \Sreg|ALT_INV_Q\(4),
	cin => \Add0~14\,
	sumout => \Add0~17_sumout\,
	cout => \Add0~18\);

-- Location: FF_X87_Y8_N13
\Sreg|Q[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~17_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(4));

-- Location: IOIBUF_X16_Y0_N18
\SW[5]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(5),
	o => \SW[5]~input_o\);

-- Location: FF_X87_Y8_N56
\Areg|Q[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[5]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(5));

-- Location: MLABCELL_X87_Y8_N15
\Add0~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~21_sumout\ = SUM(( \Sreg|Q\(5) ) + ( \Areg|Q\(5) ) + ( \Add0~18\ ))
-- \Add0~22\ = CARRY(( \Sreg|Q\(5) ) + ( \Areg|Q\(5) ) + ( \Add0~18\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000101010101010101000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(5),
	datad => \Sreg|ALT_INV_Q\(5),
	cin => \Add0~18\,
	sumout => \Add0~21_sumout\,
	cout => \Add0~22\);

-- Location: FF_X87_Y8_N17
\Sreg|Q[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~21_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(5));

-- Location: IOIBUF_X4_Y0_N35
\SW[6]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(6),
	o => \SW[6]~input_o\);

-- Location: FF_X87_Y8_N35
\Areg|Q[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[6]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(6));

-- Location: MLABCELL_X87_Y8_N18
\Add0~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~25_sumout\ = SUM(( \Sreg|Q\(6) ) + ( \Areg|Q\(6) ) + ( \Add0~22\ ))
-- \Add0~26\ = CARRY(( \Sreg|Q\(6) ) + ( \Areg|Q\(6) ) + ( \Add0~22\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \Areg|ALT_INV_Q\(6),
	datad => \Sreg|ALT_INV_Q\(6),
	cin => \Add0~22\,
	sumout => \Add0~25_sumout\,
	cout => \Add0~26\);

-- Location: FF_X87_Y8_N19
\Sreg|Q[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~25_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(6));

-- Location: IOIBUF_X4_Y0_N1
\SW[7]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(7),
	o => \SW[7]~input_o\);

-- Location: FF_X87_Y8_N44
\Areg|Q[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \SW[7]~input_o\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Areg|Q\(7));

-- Location: MLABCELL_X87_Y8_N21
\Add0~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~29_sumout\ = SUM(( \Sreg|Q\(7) ) + ( \Areg|Q\(7) ) + ( \Add0~26\ ))
-- \Add0~30\ = CARRY(( \Sreg|Q\(7) ) + ( \Areg|Q\(7) ) + ( \Add0~26\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000000000000000000011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Sreg|ALT_INV_Q\(7),
	datac => \Areg|ALT_INV_Q\(7),
	cin => \Add0~26\,
	sumout => \Add0~29_sumout\,
	cout => \Add0~30\);

-- Location: FF_X87_Y8_N41
\Sreg|Q[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	asdata => \Add0~29_sumout\,
	clrn => \KEY[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Sreg|Q\(7));

-- Location: MLABCELL_X87_Y8_N24
\Add0~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \Add0~33_sumout\ = SUM(( \Sreg|Q\(7) ) + ( \Areg|Q\(7) ) + ( \Add0~30\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000000000000000000011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Sreg|ALT_INV_Q\(7),
	datac => \Areg|ALT_INV_Q\(7),
	cin => \Add0~30\,
	sumout => \Add0~33_sumout\);

-- Location: FF_X87_Y8_N25
\Creg|Q[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \Add0~33_sumout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Creg|Q\(0));

-- Location: MLABCELL_X87_Y8_N51
\overflow[0]~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \overflow[0]~0_combout\ = ( !\Add0~29_sumout\ & ( \Areg|Q\(7) & ( \Sreg|Q\(7) ) ) ) # ( \Add0~29_sumout\ & ( !\Areg|Q\(7) & ( !\Sreg|Q\(7) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111100001111000000001111000011110000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \Sreg|ALT_INV_Q\(7),
	datae => \ALT_INV_Add0~29_sumout\,
	dataf => \Areg|ALT_INV_Q\(7),
	combout => \overflow[0]~0_combout\);

-- Location: FF_X87_Y8_N52
\Oreg|Q[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \overflow[0]~0_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Oreg|Q\(0));

-- Location: LABCELL_X88_Y8_N27
\H0|Mux6~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux6~0_combout\ = ( \Sreg|Q\(0) & ( (!\Sreg|Q\(2) $ (!\Sreg|Q\(1))) # (\Sreg|Q\(3)) ) ) # ( !\Sreg|Q\(0) & ( (!\Sreg|Q\(2) $ (!\Sreg|Q\(3))) # (\Sreg|Q\(1)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101111110101111010111111010111101011010111111110101101011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datac => \Sreg|ALT_INV_Q\(1),
	datad => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux6~0_combout\);

-- Location: LABCELL_X88_Y8_N18
\H0|Mux5~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux5~0_combout\ = ( \Sreg|Q\(0) & ( !\Sreg|Q\(3) $ (((\Sreg|Q\(2) & !\Sreg|Q\(1)))) ) ) # ( !\Sreg|Q\(0) & ( (!\Sreg|Q\(2) & (\Sreg|Q\(1) & !\Sreg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0010000000100000001000000010000010110100101101001011010010110100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datab => \Sreg|ALT_INV_Q\(1),
	datac => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux5~0_combout\);

-- Location: LABCELL_X88_Y8_N21
\H0|Mux4~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux4~0_combout\ = ( \Sreg|Q\(0) & ( (!\Sreg|Q\(3)) # ((!\Sreg|Q\(2) & !\Sreg|Q\(1))) ) ) # ( !\Sreg|Q\(0) & ( (\Sreg|Q\(2) & (!\Sreg|Q\(1) & !\Sreg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101000000000000010100000000000011111111101000001111111110100000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datac => \Sreg|ALT_INV_Q\(1),
	datad => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux4~0_combout\);

-- Location: LABCELL_X88_Y8_N12
\H0|Mux3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux3~0_combout\ = ( \Sreg|Q\(0) & ( !\Sreg|Q\(1) $ (\Sreg|Q\(2)) ) ) # ( !\Sreg|Q\(0) & ( (!\Sreg|Q\(1) & (\Sreg|Q\(2) & !\Sreg|Q\(3))) # (\Sreg|Q\(1) & (!\Sreg|Q\(2) & \Sreg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000110000110000000011000011000011000011110000111100001111000011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Sreg|ALT_INV_Q\(1),
	datac => \Sreg|ALT_INV_Q\(2),
	datad => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux3~0_combout\);

-- Location: LABCELL_X88_Y8_N54
\H0|Mux2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux2~0_combout\ = ( \Sreg|Q\(0) & ( (\Sreg|Q\(2) & (\Sreg|Q\(1) & \Sreg|Q\(3))) ) ) # ( !\Sreg|Q\(0) & ( (!\Sreg|Q\(2) & (\Sreg|Q\(1) & !\Sreg|Q\(3))) # (\Sreg|Q\(2) & ((\Sreg|Q\(3)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0010010100100101001001010010010100000001000000010000000100000001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datab => \Sreg|ALT_INV_Q\(1),
	datac => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux2~0_combout\);

-- Location: LABCELL_X88_Y8_N57
\H0|Mux1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux1~0_combout\ = ( \Sreg|Q\(0) & ( (!\Sreg|Q\(1) & (\Sreg|Q\(2) & !\Sreg|Q\(3))) # (\Sreg|Q\(1) & ((\Sreg|Q\(3)))) ) ) # ( !\Sreg|Q\(0) & ( (\Sreg|Q\(2) & ((\Sreg|Q\(3)) # (\Sreg|Q\(1)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0001000101010101000100010101010101000100001100110100010000110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datab => \Sreg|ALT_INV_Q\(1),
	datad => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux1~0_combout\);

-- Location: LABCELL_X88_Y8_N24
\H0|Mux0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux0~0_combout\ = ( \Sreg|Q\(0) & ( (!\Sreg|Q\(2) & (!\Sreg|Q\(1) $ (\Sreg|Q\(3)))) # (\Sreg|Q\(2) & (!\Sreg|Q\(1) & \Sreg|Q\(3))) ) ) # ( !\Sreg|Q\(0) & ( (\Sreg|Q\(2) & (!\Sreg|Q\(1) & !\Sreg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0100000001000000010000000100000010000110100001101000011010000110",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(2),
	datab => \Sreg|ALT_INV_Q\(1),
	datac => \Sreg|ALT_INV_Q\(3),
	dataf => \Sreg|ALT_INV_Q\(0),
	combout => \H0|Mux0~0_combout\);

-- Location: LABCELL_X88_Y8_N51
\H1|Mux6~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux6~0_combout\ = ( \Sreg|Q\(6) & ( (!\Sreg|Q\(7) & ((!\Sreg|Q\(5)) # (!\Sreg|Q\(4)))) # (\Sreg|Q\(7) & ((\Sreg|Q\(4)) # (\Sreg|Q\(5)))) ) ) # ( !\Sreg|Q\(6) & ( (\Sreg|Q\(5)) # (\Sreg|Q\(7)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101111101011111010111110101111110101111111101011010111111110101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(7),
	datac => \Sreg|ALT_INV_Q\(5),
	datad => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux6~0_combout\);

-- Location: LABCELL_X88_Y8_N30
\H1|Mux5~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux5~0_combout\ = ( \Sreg|Q\(6) & ( (\Sreg|Q\(4) & (!\Sreg|Q\(5) $ (!\Sreg|Q\(7)))) ) ) # ( !\Sreg|Q\(6) & ( (!\Sreg|Q\(7) & ((\Sreg|Q\(4)) # (\Sreg|Q\(5)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011000011110000001100001111000000000000001111000000000000111100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Sreg|ALT_INV_Q\(5),
	datac => \Sreg|ALT_INV_Q\(7),
	datad => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux5~0_combout\);

-- Location: LABCELL_X88_Y8_N33
\H1|Mux4~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux4~0_combout\ = ( \Sreg|Q\(6) & ( (!\Sreg|Q\(7) & ((!\Sreg|Q\(5)) # (\Sreg|Q\(4)))) ) ) # ( !\Sreg|Q\(6) & ( (\Sreg|Q\(4) & ((!\Sreg|Q\(7)) # (!\Sreg|Q\(5)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000011111010000000001111101010100000101010101010000010101010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(7),
	datac => \Sreg|ALT_INV_Q\(5),
	datad => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux4~0_combout\);

-- Location: LABCELL_X88_Y8_N0
\H1|Mux3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux3~0_combout\ = ( \Sreg|Q\(6) & ( (!\Sreg|Q\(5) & (!\Sreg|Q\(7) & !\Sreg|Q\(4))) # (\Sreg|Q\(5) & ((\Sreg|Q\(4)))) ) ) # ( !\Sreg|Q\(6) & ( (!\Sreg|Q\(5) & ((\Sreg|Q\(4)))) # (\Sreg|Q\(5) & (\Sreg|Q\(7) & !\Sreg|Q\(4))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0001110000011100000111000001110010000011100000111000001110000011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(7),
	datab => \Sreg|ALT_INV_Q\(5),
	datac => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux3~0_combout\);

-- Location: LABCELL_X88_Y8_N3
\H1|Mux2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux2~0_combout\ = ( \Sreg|Q\(6) & ( (\Sreg|Q\(7) & ((!\Sreg|Q\(4)) # (\Sreg|Q\(5)))) ) ) # ( !\Sreg|Q\(6) & ( (!\Sreg|Q\(7) & (\Sreg|Q\(5) & !\Sreg|Q\(4))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0010001000000000001000100000000001010101000100010101010100010001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(7),
	datab => \Sreg|ALT_INV_Q\(5),
	datad => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux2~0_combout\);

-- Location: LABCELL_X88_Y8_N48
\H1|Mux1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux1~0_combout\ = ( \Sreg|Q\(6) & ( (!\Sreg|Q\(7) & (!\Sreg|Q\(5) $ (!\Sreg|Q\(4)))) # (\Sreg|Q\(7) & ((!\Sreg|Q\(4)) # (\Sreg|Q\(5)))) ) ) # ( !\Sreg|Q\(6) & ( (\Sreg|Q\(7) & (\Sreg|Q\(5) & \Sreg|Q\(4))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000100000001000000010000000101111001011110010111100101111001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Sreg|ALT_INV_Q\(7),
	datab => \Sreg|ALT_INV_Q\(5),
	datac => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(6),
	combout => \H1|Mux1~0_combout\);

-- Location: LABCELL_X88_Y8_N6
\H1|Mux0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H1|Mux0~0_combout\ = ( \Sreg|Q\(5) & ( (!\Sreg|Q\(6) & (\Sreg|Q\(7) & \Sreg|Q\(4))) ) ) # ( !\Sreg|Q\(5) & ( (!\Sreg|Q\(6) & (!\Sreg|Q\(7) & \Sreg|Q\(4))) # (\Sreg|Q\(6) & (!\Sreg|Q\(7) $ (\Sreg|Q\(4)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011000011000011001100001100001100000000000011000000000000001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Sreg|ALT_INV_Q\(6),
	datac => \Sreg|ALT_INV_Q\(7),
	datad => \Sreg|ALT_INV_Q\(4),
	dataf => \Sreg|ALT_INV_Q\(5),
	combout => \H1|Mux0~0_combout\);

-- Location: LABCELL_X88_Y8_N39
\H2|Mux6~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux6~0_combout\ = ( \Areg|Q\(2) & ( (!\Areg|Q\(1) & ((!\Areg|Q\(3)) # (\Areg|Q\(0)))) # (\Areg|Q\(1) & ((!\Areg|Q\(0)) # (\Areg|Q\(3)))) ) ) # ( !\Areg|Q\(2) & ( (\Areg|Q\(3)) # (\Areg|Q\(1)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101010111111111010101011111111111111010010111111111101001011111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(1),
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Areg|ALT_INV_Q\(3),
	dataf => \Areg|ALT_INV_Q\(2),
	combout => \H2|Mux6~0_combout\);

-- Location: LABCELL_X88_Y8_N42
\H2|Mux5~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux5~0_combout\ = ( \Areg|Q\(3) & ( (\Areg|Q\(2) & (!\Areg|Q\(1) & \Areg|Q\(0))) ) ) # ( !\Areg|Q\(3) & ( (!\Areg|Q\(2) & ((\Areg|Q\(0)) # (\Areg|Q\(1)))) # (\Areg|Q\(2) & (\Areg|Q\(1) & \Areg|Q\(0))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000101010101111000010101010111100000000010100000000000001010000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(2),
	datac => \Areg|ALT_INV_Q\(1),
	datad => \Areg|ALT_INV_Q\(0),
	dataf => \Areg|ALT_INV_Q\(3),
	combout => \H2|Mux5~0_combout\);

-- Location: LABCELL_X88_Y8_N45
\H2|Mux4~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux4~0_combout\ = ( \Areg|Q\(1) & ( (!\Areg|Q\(3) & \Areg|Q\(0)) ) ) # ( !\Areg|Q\(1) & ( (!\Areg|Q\(2) & ((\Areg|Q\(0)))) # (\Areg|Q\(2) & (!\Areg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0100111001001110010011100100111000001100000011000000110000001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(2),
	datab => \Areg|ALT_INV_Q\(3),
	datac => \Areg|ALT_INV_Q\(0),
	dataf => \Areg|ALT_INV_Q\(1),
	combout => \H2|Mux4~0_combout\);

-- Location: MLABCELL_X87_Y8_N45
\H2|Mux3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux3~0_combout\ = ( \Areg|Q\(3) & ( (!\Areg|Q\(1) & (\Areg|Q\(0) & !\Areg|Q\(2))) # (\Areg|Q\(1) & (!\Areg|Q\(0) $ (\Areg|Q\(2)))) ) ) # ( !\Areg|Q\(3) & ( (!\Areg|Q\(1) & (!\Areg|Q\(0) $ (!\Areg|Q\(2)))) # (\Areg|Q\(1) & (\Areg|Q\(0) & \Areg|Q\(2))) 
-- ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000101010100101000010101010010101011010000001010101101000000101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(1),
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Areg|ALT_INV_Q\(2),
	dataf => \Areg|ALT_INV_Q\(3),
	combout => \H2|Mux3~0_combout\);

-- Location: LABCELL_X88_Y8_N15
\H2|Mux2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux2~0_combout\ = ( \Areg|Q\(2) & ( (\Areg|Q\(3) & ((!\Areg|Q\(0)) # (\Areg|Q\(1)))) ) ) # ( !\Areg|Q\(2) & ( (\Areg|Q\(1) & (!\Areg|Q\(0) & !\Areg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101000000000000010100000000000000000000111101010000000011110101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(1),
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Areg|ALT_INV_Q\(3),
	dataf => \Areg|ALT_INV_Q\(2),
	combout => \H2|Mux2~0_combout\);

-- Location: LABCELL_X88_Y8_N9
\H2|Mux1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux1~0_combout\ = ( \Areg|Q\(2) & ( (!\Areg|Q\(1) & (!\Areg|Q\(0) $ (!\Areg|Q\(3)))) # (\Areg|Q\(1) & ((!\Areg|Q\(0)) # (\Areg|Q\(3)))) ) ) # ( !\Areg|Q\(2) & ( (\Areg|Q\(1) & (\Areg|Q\(0) & \Areg|Q\(3))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000101000000000000010101011010111101010101101011110101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(1),
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Areg|ALT_INV_Q\(3),
	dataf => \Areg|ALT_INV_Q\(2),
	combout => \H2|Mux1~0_combout\);

-- Location: MLABCELL_X87_Y8_N30
\H2|Mux0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H2|Mux0~0_combout\ = ( \Areg|Q\(3) & ( (\Areg|Q\(0) & (!\Areg|Q\(2) $ (!\Areg|Q\(1)))) ) ) # ( !\Areg|Q\(3) & ( (!\Areg|Q\(1) & (!\Areg|Q\(2) $ (!\Areg|Q\(0)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011110000000000001111000000000000000011000011000000001100001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Areg|ALT_INV_Q\(2),
	datac => \Areg|ALT_INV_Q\(0),
	datad => \Areg|ALT_INV_Q\(1),
	dataf => \Areg|ALT_INV_Q\(3),
	combout => \H2|Mux0~0_combout\);

-- Location: MLABCELL_X87_Y8_N39
\H3|Mux6~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux6~0_combout\ = ( \Areg|Q\(6) & ( (!\Areg|Q\(4) & ((!\Areg|Q\(7)) # (\Areg|Q\(5)))) # (\Areg|Q\(4) & ((!\Areg|Q\(5)) # (\Areg|Q\(7)))) ) ) # ( !\Areg|Q\(6) & ( (\Areg|Q\(7)) # (\Areg|Q\(5)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011111100111111001111110011111111100111111001111110011111100111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(4),
	datab => \Areg|ALT_INV_Q\(5),
	datac => \Areg|ALT_INV_Q\(7),
	dataf => \Areg|ALT_INV_Q\(6),
	combout => \H3|Mux6~0_combout\);

-- Location: MLABCELL_X87_Y8_N42
\H3|Mux5~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux5~0_combout\ = ( \Areg|Q\(4) & ( !\Areg|Q\(7) $ (((!\Areg|Q\(5) & \Areg|Q\(6)))) ) ) # ( !\Areg|Q\(4) & ( (\Areg|Q\(5) & (!\Areg|Q\(6) & !\Areg|Q\(7))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011000000000000001100000000000011110011000011001111001100001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Areg|ALT_INV_Q\(5),
	datac => \Areg|ALT_INV_Q\(6),
	datad => \Areg|ALT_INV_Q\(7),
	dataf => \Areg|ALT_INV_Q\(4),
	combout => \H3|Mux5~0_combout\);

-- Location: LABCELL_X88_Y8_N36
\H3|Mux4~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux4~0_combout\ = ( \Areg|Q\(4) & ( (!\Areg|Q\(7)) # ((!\Areg|Q\(5) & !\Areg|Q\(6))) ) ) # ( !\Areg|Q\(4) & ( (!\Areg|Q\(7) & (!\Areg|Q\(5) & \Areg|Q\(6))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000011000000000000001100000011111100110011001111110011001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Areg|ALT_INV_Q\(7),
	datac => \Areg|ALT_INV_Q\(5),
	datad => \Areg|ALT_INV_Q\(6),
	dataf => \Areg|ALT_INV_Q\(4),
	combout => \H3|Mux4~0_combout\);

-- Location: MLABCELL_X87_Y8_N36
\H3|Mux3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux3~0_combout\ = ( \Areg|Q\(6) & ( (!\Areg|Q\(4) & (!\Areg|Q\(5) & !\Areg|Q\(7))) # (\Areg|Q\(4) & (\Areg|Q\(5))) ) ) # ( !\Areg|Q\(6) & ( (!\Areg|Q\(4) & (\Areg|Q\(5) & \Areg|Q\(7))) # (\Areg|Q\(4) & (!\Areg|Q\(5))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0100011001000110010001100100011010010001100100011001000110010001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(4),
	datab => \Areg|ALT_INV_Q\(5),
	datac => \Areg|ALT_INV_Q\(7),
	dataf => \Areg|ALT_INV_Q\(6),
	combout => \H3|Mux3~0_combout\);

-- Location: MLABCELL_X87_Y8_N54
\H3|Mux2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux2~0_combout\ = ( \Areg|Q\(4) & ( (\Areg|Q\(6) & (\Areg|Q\(7) & \Areg|Q\(5))) ) ) # ( !\Areg|Q\(4) & ( (!\Areg|Q\(6) & (!\Areg|Q\(7) & \Areg|Q\(5))) # (\Areg|Q\(6) & (\Areg|Q\(7))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0001000110011001000100011001100100000000000100010000000000010001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(6),
	datab => \Areg|ALT_INV_Q\(7),
	datad => \Areg|ALT_INV_Q\(5),
	dataf => \Areg|ALT_INV_Q\(4),
	combout => \H3|Mux2~0_combout\);

-- Location: MLABCELL_X87_Y8_N57
\H3|Mux1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux1~0_combout\ = (!\Areg|Q\(7) & (\Areg|Q\(6) & (!\Areg|Q\(5) $ (!\Areg|Q\(4))))) # (\Areg|Q\(7) & ((!\Areg|Q\(4) & (\Areg|Q\(6))) # (\Areg|Q\(4) & ((\Areg|Q\(5))))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0001010101000011000101010100001100010101010000110001010101000011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(6),
	datab => \Areg|ALT_INV_Q\(7),
	datac => \Areg|ALT_INV_Q\(5),
	datad => \Areg|ALT_INV_Q\(4),
	combout => \H3|Mux1~0_combout\);

-- Location: MLABCELL_X87_Y8_N33
\H3|Mux0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H3|Mux0~0_combout\ = ( \Areg|Q\(4) & ( (!\Areg|Q\(5) & (!\Areg|Q\(7) $ (\Areg|Q\(6)))) # (\Areg|Q\(5) & (\Areg|Q\(7) & !\Areg|Q\(6))) ) ) # ( !\Areg|Q\(4) & ( (!\Areg|Q\(5) & (!\Areg|Q\(7) & \Areg|Q\(6))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000010100000000000001010000010100101000010101010010100001010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Areg|ALT_INV_Q\(5),
	datac => \Areg|ALT_INV_Q\(7),
	datad => \Areg|ALT_INV_Q\(6),
	dataf => \Areg|ALT_INV_Q\(4),
	combout => \H3|Mux0~0_combout\);

-- Location: LABCELL_X12_Y80_N0
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


